List Books

List books from the Penguin Classics collection

To browse the Penguin Classics database, you can request the books collection. By default it will return the first 25 entries in the collection, sorted by book title. You can use additional parameters offset and limit to determine which books to show in the list, as described below:
Parameter Description
offset A zero based index of where to look in the collection
limit The maximum number of results to return. Defaults to 25, maximum is 100

Additionally, you can limit the books being returned by supplying a search parameter. In the case of books, the title parameter (see below) allows a search to be conducted and will return only those books with the specified text in the books title.

Parameter Description
title Search for books matching the title supplied. (ie ?title=css)

Note that the search terms are automatically wild-carded

Example of listing books

curl https://api.pearson.com/penguin/classics/v1/books?apikey=my_api_key&limit=2

{
    "status": 200,
    "offset": 0,
    "limit": 2,
    "count": 2,
    "total": 48,
    "dataset": "black_classics_sb",
    "url": "https://api.pearson.com/penguin/classics/v1/books?apikey=my_api_key&limit=2",
    "books": [
        {
            "title": "A Tale of Two Cities",
            "id": "1SChjEs7mvx643",
            "isbn": "9780141974651",
            "url": "https://api.pearson.com/penguin/classics/v1/books/1SChjEs7mvx643?apikey=my_api_key",
            "authors": [
                {
                    "full_name": "Charles Dickens"
                }
            ],
            "publisher": {
                "name": "Penguin Books Ltd"
            },
            "article_count": 4
        },
        {
            "title": "Barchester Towers",
            "id": "d1tvHzQTGh7ZDS",
            "isbn": "9780141974286",
            "url": "https://api.pearson.com/penguin/classics/v1/books/d1tvHzQTGh7ZDS?apikey=my_api_key",
            "authors": [
                {
                    "full_name": "Anthony Trollope"
                }
            ],
            "publisher": {
                "name": "Penguin Books Ltd"
            },
            "article_count": 5
        }
    ]
}